<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
	
$settings = $this->gwat_get_settings();

//echo "<pre>"; print_r($settings); echo "</pre>";

$menu_background = ( isset( $settings['layout']['menu_background'] ) && !empty( $settings['layout']['menu_background'] ) ) ?  $settings['layout']['menu_background']  : '#111';
$menu_shadow = ( isset( $settings['layout']['menu_shadow'] ) && !empty( $settings['layout']['menu_shadow'] ) ) ?  $settings['layout']['menu_shadow']  : '#555';
$menu_color = ( isset( $settings['layout']['menu_color'] ) && !empty( $settings['layout']['menu_color'] ) ) ?  $settings['layout']['menu_color']  : '#fff';
$menu_border = ( isset( $settings['layout']['menu_border'] ) && !empty( $settings['layout']['menu_border'] ) ) ?  $settings['layout']['menu_border']  : '#aaa';
$menu_hover = ( isset( $settings['layout']['menu_hover'] ) && !empty( $settings['layout']['menu_hover'] ) ) ?  $settings['layout']['menu_hover']  : '#ffa500';

?>

.gwat-menu-preview.top{width: fit-content;}

.gwat-menu-preview.left, .gwat-menu-preview.right{width: 650px;}

.gwat-menu-preview{
    border: solid 1px #dddddd;
    padding: 10px;
    min-height:130px;
}

/* ------- NAVIGATION TOP ------- */

nav.woocommerce-MyAccount-navigation-top {
    display: block;
	margin-bottom:20px;
}


nav.woocommerce-MyAccount-navigation-top .dropdown-menu {
    vertical-align: top;
    display: inline-block;
    box-shadow: 1px -1px -1px 1px #000, -1px 1px -1px 1px #fff, 0 0 6px 3px #fff;
    border-radius: 6px;
}

nav.woocommerce-MyAccount-navigation-top ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

nav.woocommerce-MyAccount-navigation-top .dropdown-menu > li:first-child {
    border-radius: 4px 0 0 4px;
}

nav.woocommerce-MyAccount-navigation-top .dropdown-menu > li:first-child>a {
    border-radius: 4px 0 0 0;
}

nav.woocommerce-MyAccount-navigation-top .dropdown-menu > li:last-child {
    border-radius: 0 0 4px 0;
    margin-right: 0;
}

nav.woocommerce-MyAccount-navigation-top .dropdown-menu > li:last-child >a {
    border-radius: 0 4px 0 0;
}

nav.woocommerce-MyAccount-navigation-top .dropdown-menu > li {
    float: left;
    border-bottom: 4px <?php echo esc_html( $menu_border );?> solid;
    margin: 0px 1px 0px 0px;
}

nav.woocommerce-MyAccount-navigation-top .dropdown-menu-sub > li {
    margin: 0px;
}

nav.woocommerce-MyAccount-navigation-top .dropdown-menu li {
    position: relative;
}

nav.woocommerce-MyAccount-navigation-top .dropdown-menu > li:first-child>a {
    border-radius: 4px 0 0 0;
}

nav.woocommerce-MyAccount-navigation-top .dropdown-menu > li > a {
    margin-bottom: 1px;
    box-shadow: inset 0 2em 0.33em -0.5em <?php echo esc_html( $menu_shadow );?>;
}

nav.woocommerce-MyAccount-navigation-top .dropdown-menu-sub li a {
    margin-top: 1px;
}

nav.woocommerce-MyAccount-navigation-top .dropdown-menu a {
    display: block;
    background: <?php echo esc_html( $menu_background );?>;
    color: <?php echo esc_html( $menu_color );?>;
    text-decoration: none;
    padding: .8em 1.8em;
    text-transform: uppercase;
    font-size: 14px;
	font-weight:600;
    letter-spacing: 2px;
    text-shadow: 0 -1px 0 <?php echo esc_html( $menu_shadow );?>;
    position: relative;
    box-shadow: none;
}

nav.woocommerce-MyAccount-navigation-top .dropdown-menu > li:hover > ul {
    left: auto;
    padding-top: 5px;
    min-width: 100%;
}

nav.woocommerce-MyAccount-navigation-top .dropdown-menu ul {
    position: absolute;
    white-space: nowrap;
    border-bottom: 5px solid <?php echo esc_html( $menu_hover );?>;
    z-index: 1;
    left: -99999em;
	border-radius: 4px 4px;
}


nav.woocommerce-MyAccount-navigation-top .dropdown-menu > li:hover, nav.woocommerce-MyAccount-navigation-top .dropdown-menu > li:hover >a {
    border-bottom-color: <?php echo esc_html( $menu_hover );?>;
	color: <?php echo esc_html( $menu_hover );?>;
}

nav.woocommerce-MyAccount-navigation-top .dropdown-menu-sub > li:hover, nav.woocommerce-MyAccount-navigation-top .dropdown-menu-sub > li:hover >a {
    border-bottom-color: <?php echo esc_html( $menu_hover );?>;
	color: <?php echo esc_html( $menu_hover );?>;
}

nav.woocommerce-MyAccount-navigation-top .dropdown-menu-sub li ul {
    border-left: 1px solid #fff;
}

nav.woocommerce-MyAccount-navigation-top .dropdown-menu-sub li:hover > ul {
    margin-left: 1px;
    left: 100%;
    top: -1px;
}

nav.woocommerce-MyAccount-navigation-top .dropdown-menu li.parent-menu a:before {
    content: "";
    position: absolute;
    height: 0;
    width: 0;
    border: 5px solid transparent;
    top: 45%;
    right: 10px;
}

nav.woocommerce-MyAccount-navigation-top .dropdown-menu > li.parent-menu > a:before {
    border-top-color: <?php echo esc_html( $menu_border );?>;
}

nav.woocommerce-MyAccount-navigation-top .dropdown-menu > li.parent-menu:hover > a:before {
    border: 5px solid transparent;
    border-bottom-color: <?php echo esc_html( $menu_hover );?>;
    margin-top: -5px;
}


nav.woocommerce-MyAccount-navigation-top .dropdown-menu-sub li.parent-menu a:before {
    content: "";
    position: absolute;
    height: 0;
    width: 0;
    border: 5px solid transparent;
    top: 50%;
    right: 5px;
}

nav.woocommerce-MyAccount-navigation-top .dropdown-menu-sub li.parent-menu > a:before {
    border-left-color: <?php echo esc_html( $menu_border );?>;
    margin-top: -5px;
}

nav.woocommerce-MyAccount-navigation-top .dropdown-menu-sub li.parent-menu:hover > a:before {
    border: 5px solid transparent;
    border-right-color: <?php echo esc_html( $menu_hover );?>;
    right: 10px;
}



/* ------- NAVIGATION LEFT ------- */

nav.woocommerce-MyAccount-navigation-left{width: 190px;}

nav.woocommerce-MyAccount-navigation-left ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

nav.woocommerce-MyAccount-navigation-left .dropdown-menu li {
    position: relative;
}

nav.woocommerce-MyAccount-navigation-left .dropdown-menu > li, nav.woocommerce-MyAccount-navigation-left .dropdown-menu-sub > li {
	border-right: 4px <?php echo esc_html( $menu_border );?> solid;
    margin: 0px 0px 1px 0px;
}

nav.woocommerce-MyAccount-navigation-left .dropdown-menu > li:first-child {
    border-radius: 4px 4px 0px 0px;
}

nav.woocommerce-MyAccount-navigation-left .dropdown-menu-sub > li:first-child {
    border-top-right-radius: 4px 4px;
}

nav.woocommerce-MyAccount-navigation-left .dropdown-menu > li:first-child >a {
    border-radius: 4px 0 0 0;
}

nav.woocommerce-MyAccount-navigation-left .dropdown-menu > li:last-child {
    border-radius: 0px 0px 4px 4px;
    margin-bottom: 0;
}

nav.woocommerce-MyAccount-navigation-left .dropdown-menu-sub > li:last-child {
    border-bottom-right-radius: 4px 4px;
    margin-bottom: 0;
}

nav.woocommerce-MyAccount-navigation-left .dropdown-menu > li:last-child >a {
    border-radius: 0 0 0 4px;
}



nav.woocommerce-MyAccount-navigation-left .dropdown-menu > li > a {
    margin-right: 1px;
    box-shadow: inset 0 2em 0.33em -0.5em <?php echo esc_html( $menu_shadow );?>;
}

nav.woocommerce-MyAccount-navigation-left .dropdown-menu-sub > li > a {
    margin-right: 1px;
}

nav.woocommerce-MyAccount-navigation-left .dropdown-menu a, nav.woocommerce-MyAccount-navigation-left .dropdown-menu-sub a {
    display: block;
    background: <?php echo esc_html( $menu_background );?>;
    color: <?php echo esc_html( $menu_color );?>;
    text-decoration: none;
    padding: .8em 1.8em;
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 600;
    letter-spacing: 2px;
    text-shadow: 0 -1px 0 <?php echo esc_html( $menu_shadow );?>;
    position: relative;
    box-shadow: none;
}

nav.woocommerce-MyAccount-navigation-left .dropdown-menu > li:hover, nav.woocommerce-MyAccount-navigation-left .dropdown-menu > li:hover >a,
nav.woocommerce-MyAccount-navigation-left .dropdown-menu-sub > li:hover, nav.woocommerce-MyAccount-navigation-left .dropdown-menu-sub > li:hover >a {
	border-right-color: <?php echo esc_html( $menu_hover );?>;
	color: <?php echo esc_html( $menu_hover );?>;
}

nav.woocommerce-MyAccount-navigation-left li.parent-menu a:before {
    content: "";
    position: absolute;
    height: 0;
    width: 0;
    border: 5px solid transparent;
    top: 50%;
    right: 5px;
}

nav.woocommerce-MyAccount-navigation-left li.parent-menu > a:before {
    border-left-color: <?php echo esc_html( $menu_border );?>;
    margin-top: -5px;
}

nav.woocommerce-MyAccount-navigation-left li.parent-menu:hover > a:before {
    border: 5px solid transparent;
    border-right-color: <?php echo esc_html( $menu_hover );?>;
    right: 10px;
}

nav.woocommerce-MyAccount-navigation-left li:hover > ul {
	margin-left: 1px;
	left: 100%;
	top: -1px;
	padding-left: 5px;
}

nav.woocommerce-MyAccount-navigation-left .dropdown-menu ul {
    position: absolute;
    white-space: nowrap;
    z-index: 1;
	left: -99999em;
}

nav.woocommerce-MyAccount-navigation-left .dropdown-menu-sub li a {
    margin-top: 1px;
}

/* ------- NAVIGATION RIGHT ------- */

nav.woocommerce-MyAccount-navigation-right{width: 190px; float:right;}

nav.woocommerce-MyAccount-navigation-right ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

nav.woocommerce-MyAccount-navigation-right .dropdown-menu li {
    position: relative;
}

nav.woocommerce-MyAccount-navigation-right .dropdown-menu > li, nav.woocommerce-MyAccount-navigation-right .dropdown-menu-sub > li {
	border-left: 4px <?php echo esc_html( $menu_border );?> solid;
    margin: 0px 0px 1px 0px;
	text-align:right;
}

nav.woocommerce-MyAccount-navigation-right .dropdown-menu > li:first-child {
    border-radius: 4px 0px 0px 0px;
}

nav.woocommerce-MyAccount-navigation-right .dropdown-menu-sub > li:first-child {
    border-top-left-radius: 4px 4px;
}

nav.woocommerce-MyAccount-navigation-right .dropdown-menu > li:first-child >a {
    border-radius: 0 4px 0 0;
}

nav.woocommerce-MyAccount-navigation-right .dropdown-menu > li:last-child {
    border-radius: 0px 0px 0px 4px;
    margin-bottom: 0;
}

nav.woocommerce-MyAccount-navigation-right .dropdown-menu-sub > li:last-child {
    border-bottom-left-radius: 4px 4px;
    margin-bottom: 0;
}

nav.woocommerce-MyAccount-navigation-right .dropdown-menu > li:last-child >a {
    border-radius: 0 0 4px 0px;
}



nav.woocommerce-MyAccount-navigation-right .dropdown-menu > li > a {
    margin-left: 1px;
    box-shadow: inset 0 2em 0.33em -0.5em <?php echo esc_html( $menu_shadow );?>;
}

nav.woocommerce-MyAccount-navigation-right .dropdown-menu-sub > li > a {
    margin-left: 1px;
}

nav.woocommerce-MyAccount-navigation-right .dropdown-menu a, nav.woocommerce-MyAccount-navigation-right .dropdown-menu-sub a {
    display: block;
    background: <?php echo esc_html( $menu_background );?>;
    color: <?php echo esc_html( $menu_color );?>;
    text-decoration: none;
    padding: .8em 1.8em;
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 600;
    letter-spacing: 2px;
    text-shadow: 0 -1px 0 <?php echo esc_html( $menu_shadow );?>;
    position: relative;
    box-shadow: none;
}

nav.woocommerce-MyAccount-navigation-right .dropdown-menu > li:hover, nav.woocommerce-MyAccount-navigation-right .dropdown-menu > li:hover >a,
nav.woocommerce-MyAccount-navigation-right .dropdown-menu-sub > li:hover, nav.woocommerce-MyAccount-navigation-right .dropdown-menu-sub > li:hover >a {
	border-left-color: <?php echo esc_html( $menu_hover );?>;
	color: <?php echo esc_html( $menu_hover );?>;
}

nav.woocommerce-MyAccount-navigation-right li.parent-menu a:before {
    content: "";
    position: absolute;
    height: 0;
    width: 0;
    border: 5px solid transparent;
    top: 50%;
    left: 5px;
}

nav.woocommerce-MyAccount-navigation-right li.parent-menu > a:before {
    border-right-color: <?php echo esc_html( $menu_border );?>;
    margin-top: -5px;
}

nav.woocommerce-MyAccount-navigation-right li.parent-menu:hover > a:before {
    border: 5px solid transparent;
    border-left-color: <?php echo esc_html( $menu_hover );?>;
    left: 10px;
}

nav.woocommerce-MyAccount-navigation-right li:hover > ul {
	margin-right: 1px;
	right: 100%;
	top: -1px;
	padding-right: 5px;
}

nav.woocommerce-MyAccount-navigation-right .dropdown-menu ul {
    position: absolute;
    white-space: nowrap;
    z-index: 1;
	right: -99999em;
}

nav.woocommerce-MyAccount-navigation-right .dropdown-menu-sub li a {
    margin-top: 1px;
}

