
jQuery().ready(function(){
	$ = jQuery;
	var ns = $('ol.sortable').nestedSortable({
		forcePlaceholderSize: true,
		handle: 'div',
		helper:	'clone',
		items: 'li',
		opacity: .6,
		placeholder: 'placeholder',
		revert: 250,
		tabSize: 25,
		tolerance: 'pointer',
		toleranceElement: '> div',
		maxLevels: 4,
		isTree: true,
		expandOnHover: 700,
		startCollapsed: false,
		change: function(){
			//$('#serialize').click();
		},
		sort: function(){
			//alert('sort');
		},
		relocate: function(){
		
			$('#serialize').click();
			var dataserialize = $('#serializeOutput').text();
			$.post( gwat_localize_script.gwat_ajax_url, { action: "gwat_set_menu_orders", serializedata: dataserialize })
			.done(function( data ) {
				//alert( "Data Loaded: " + data );
			});
			
		}
	});
	
	$('.expandEditor').attr('title','Click to show/hide item settings');
	$('.disclose').attr('title','Click to show/hide children');
	$('.deleteMenu').attr('title', 'Click to delete item.');
	
	//$('.disclose').on('click', function() {
	$(document).on("click",'.disclose', function(){
		$(this).closest('li').toggleClass('mjs-nestedSortable-collapsed').toggleClass('mjs-nestedSortable-expanded');
		$(this).toggleClass('ui-icon-plusthick').toggleClass('ui-icon-minusthick');
	});
	
	//$('.expandEditor, .itemTitle').click(function(){
	$(document).on("click",'.expandEditor, .itemTitle', function(){
		var id = $(this).attr('data-id');
		$('#menuEdit'+id).toggle();
		$(this).toggleClass('ui-icon-triangle-1-n').toggleClass('ui-icon-triangle-1-s');
	});
	
	$('.deleteMenu').click(function(){
		var id = $(this).attr('data-id');
		$('#menuItem_'+id).remove();
	});
	
	$('#serialize').click(function(){
		serialized = $('ol.sortable').nestedSortable('serialize');
		$('#serializeOutput').text(serialized);
	})
	
	$('#toHierarchy').click(function(e){
		hiered = $('ol.sortable').nestedSortable('toHierarchy', {startDepthCount: 0});
		hiered = dump(hiered);
		(typeof($('#toHierarchyOutput')[0].textContent) != 'undefined') ?
		$('#toHierarchyOutput')[0].textContent = hiered : $('#toHierarchyOutput')[0].innerText = hiered;
	})
	
	$('#toArray').click(function(e){
		arraied = $('ol.sortable').nestedSortable('toArray', {startDepthCount: 0});
		arraied = dump(arraied);
		(typeof($('#toArrayOutput')[0].textContent) != 'undefined') ?
		$('#toArrayOutput')[0].textContent = arraied : $('#toArrayOutput')[0].innerText = arraied;
	});
	
	
	/* ------- popup script ------- */
	jQuery('.show-service-content').click(function(){
		
		var main_div = jQuery(this).closest('.service-li-container');
		
		jQuery('.service-popup-content').show();
		
	});
	
	jQuery('.atc-close-popup').click(function(){
	
		jQuery('.service-popup-content').hide();
		
	});
	
	
	
});			

function dump(arr,level) {
	var dumped_text = "";
	if(!level) level = 0;

	//The padding given at the beginning of the line.
	var level_padding = "";
	for(var j=0;j<level+1;j++) level_padding += "    ";

	if(typeof(arr) == 'object') { //Array/Hashes/Objects
		for(var item in arr) {
			var value = arr[item];

			if(typeof(value) == 'object') { //If it is an array,
				dumped_text += level_padding + "'" + item + "' ...\n";
				dumped_text += dump(value,level+1);
			} else {
				dumped_text += level_padding + "'" + item + "' => \"" + value + "\"\n";
			}
		}
	} else { //Strings/Chars/Numbers etc.
		dumped_text = "===>"+arr+"<===("+typeof(arr)+")";
	}
	return dumped_text;
}



jQuery(document).ready(function(){
		
	jQuery(document).on("change",'select[name="wat_menu_content_type"]', function(){
		
		var container = jQuery(this).closest('.wat-form-to-update-menu');
		
		var content_type = jQuery(this).val();
		
		container.find('.wat_menu_content_custom').hide();
		
		container.find('.wat_menu_content_custom'+'.'+content_type).show();
	
	});
	
	
	jQuery(document).on("click",'.save-to-create-menu', function(){
		
		var submit_button = jQuery(this);
		
		submit_button.attr('disabled', true);
	
		var main_container = jQuery(this).closest('.manage-menu-container');
		
		var container = jQuery(this).closest('.wat-form-to-update-menu');
		
		var wat_menu_label = container.find('input[name="wat_menu_label"]');
		var wat_menu_slug = container.find('input[name="wat_menu_slug"]');
		var wat_custom_link = container.find('input[name="wat_custom_link"]');
		var wat_custom_page = container.find('select[name="wat_custom_page"]');
		
		wat_menu_label.removeClass('gou-error');
		wat_menu_slug.removeClass('gou-error');
		wat_custom_link.removeClass('gou-error');
		wat_custom_page.removeClass('gou-error');
		
		if( jQuery.trim( wat_menu_label.val() ) == '' ){
			wat_menu_label.addClass('gou-error'); wat_menu_label.focus(); submit_button.attr('disabled', false); return false;
		}
		
		if( jQuery.trim( wat_menu_slug.val() ) == '' ){
			wat_menu_slug.addClass('gou-error'); wat_menu_slug.focus(); submit_button.attr('disabled', false); return false;
		}
		
		if( wat_custom_link.is(':visible') ){
			
			if( jQuery.trim( wat_custom_link.val() ) == '' ){
				wat_custom_link.addClass('gou-error'); wat_custom_link.focus(); submit_button.attr('disabled', false); return false;
			}
			
		}
		
		if( wat_custom_page.is(':visible') ){
			
			if( jQuery.trim( wat_custom_page.val() ) == '' ){
				wat_custom_page.addClass('gou-error'); wat_custom_page.focus(); submit_button.attr('disabled', false); return false;
			}
			
		}
		
		 // send ajax
		jQuery.ajax({
			url: gwat_localize_script.gwat_ajax_url+'?action=gwat_set_endpoints', // url where to submit the request
			type : "POST", // type of action POST || GET
			dataType : 'json', // data type
			data : container.find('select, textarea, input, file').serialize(), // post data || get data
			success : function(result) {
				// you can see the result from the console
				// tab of the developer tools
				if(result.code == 200){
					
					if(result.type == 'add'){
					
						jQuery('ol.mjs-nestedSortable-expanded').append(atob(result.html));
						container.find("input[type=text]").val("");
						container.find("input[type=checkbox]").prop('checked', false);
						container.find("select option").prop('selected', false);
						container.find('.wat_menu_content_custom').hide();
						//container.find('select[name="wat_menu_content_type"]').change();
						jQuery('.atc-close-popup').click();
					
					}else{
					
						main_container.find('.itemTitle .title').html(result.title);
						main_container.find('.itemTitle .roles').html(result.roles_html);
					
					}
					
					jQuery('html, body').animate({
						scrollTop: jQuery('#'+result.menu_item_id).offset().top
					}, 2000);
					
				}
				
				submit_button.attr('disabled', false); 
				
			},
			error: function(xhr, resp, text) {
				submit_button.attr('disabled', false); 
				alert(xhr, resp, text);
			}
		})
		
		
	});
	
	jQuery(document).on("click",'.delete-to-existing-menu', function(){
		
		var del_id = jQuery(this).attr('delete-id');
		
		var submit_button = jQuery(this);
		
		submit_button.attr('disabled', true);
		
		if( confirm(gwat_localize_script.gwat_delete_confirmation) ){
			
			jQuery.ajax({
				url: gwat_localize_script.gwat_ajax_url+'?action=gwat_delete_endpoints', // url where to submit the request
				type : "POST", // type of action POST || GET
				dataType : 'json', // data type
				data : {menu_id: del_id}, // post data || get data
				success : function(result) {
					
					if(result.code == 200){
						
						jQuery( '#menuItem_'+del_id ).remove();
						
						//alert(result.message);
						
					}
					
					if(result.code == 401){
						
						alert(result.message);
						
						submit_button.attr('disabled', false); 
						
					}
					
					
				},
				error: function(xhr, resp, text) {
					submit_button.attr('disabled', false); 
					alert(xhr, resp, text);
				}
			})
			
		}else{
			
			submit_button.attr('disabled', false); 
			
		}
		
	});
	
	
	jQuery(document).on("keyup",'input[name="wat_menu_slug"]', function(){													 
		
		jQuery(this).val(gou_endpoint_slug(jQuery(this).val()));
		
	});
	
	var gou_endpoint_slug = function(str) {
		var $slug = '';
		var trimmed = jQuery.trim(str);
		$slug = trimmed.replace(/[^a-z0-9-_]/gi, '-').
		replace(/-+/g, '-');
		return $slug.toLowerCase();
	}
	
	//replace(/^-|$/g, '');
	
});

/* ------- MENU LAYOUT SCRIPT -------- */

jQuery(document).ready(function(){
								
	jQuery('.gwat-color-field').wpColorPicker({
		
		change: function (event, ui) {
			var element = event.target;
			var color = ui.color.toString();
	
			if( jQuery(this).closest('.layout-color-pickers').length > 0){
				
				if( jQuery(this).closest('.layout-color-pickers').hasClass('menu_background') ){
					
					jQuery('style.menu_background_custom').remove();
					
					jQuery('head').append('<style class="menu_background_custom">nav.woocommerce-MyAccount-navigation-top .dropdown-menu a, nav.woocommerce-MyAccount-navigation-left .dropdown-menu a, nav.woocommerce-MyAccount-navigation-left .dropdown-menu-sub a, nav.woocommerce-MyAccount-navigation-right .dropdown-menu a, nav.woocommerce-MyAccount-navigation-right .dropdown-menu-sub a { background: '+color+'; text-shadow: 0 -1px 0 '+color+';}</style>');
					
				}
				
				if( jQuery(this).closest('.layout-color-pickers').hasClass('menu_shadow') ){
					
					jQuery('style.menu_shadow_custom').remove();
					
					jQuery('head').append('<style class="menu_shadow_custom">nav.woocommerce-MyAccount-navigation-top .dropdown-menu > li > a, nav.woocommerce-MyAccount-navigation-left .dropdown-menu > li > a, nav.woocommerce-MyAccount-navigation-right .dropdown-menu > li > a { box-shadow: inset 0 2em 0.33em -0.5em '+color+';}</style>');
					
				}
				
				if( jQuery(this).closest('.layout-color-pickers').hasClass('menu_color') ){
					
					jQuery('style.menu_color_custom').remove();
					
					jQuery('head').append('<style class="menu_color_custom">nav.woocommerce-MyAccount-navigation-top .dropdown-menu a, nav.woocommerce-MyAccount-navigation-left .dropdown-menu a, nav.woocommerce-MyAccount-navigation-left .dropdown-menu-sub a, nav.woocommerce-MyAccount-navigation-right .dropdown-menu a, nav.woocommerce-MyAccount-navigation-right .dropdown-menu-sub a { color: '+color+';}</style>');
					
				}
				
				if( jQuery(this).closest('.layout-color-pickers').hasClass('menu_border') ){
					
					jQuery('style.menu_border_custom').remove();
					
					jQuery('head').append('<style class="menu_border_custom"> nav.woocommerce-MyAccount-navigation-top .dropdown-menu > li.parent-menu > a:before {border-top-color: '+color+';} nav.woocommerce-MyAccount-navigation-top .dropdown-menu-sub li.parent-menu > a:before { border-left-color: '+color+'; } nav.woocommerce-MyAccount-navigation-top .dropdown-menu > li { border-bottom: 4px '+color+' solid; } nav.woocommerce-MyAccount-navigation-left li.parent-menu > a:before {border-left-color: '+color+';} nav.woocommerce-MyAccount-navigation-left .dropdown-menu > li, nav.woocommerce-MyAccount-navigation-left .dropdown-menu-sub > li{border-right: 4px '+color+' solid; } nav.woocommerce-MyAccount-navigation-right .dropdown-menu > li, nav.woocommerce-MyAccount-navigation-right .dropdown-menu-sub > li{border-left: 4px '+color+' solid; } nav.woocommerce-MyAccount-navigation-right li.parent-menu > a:before{border-right-color: '+color+';} </style>');
					
				}
				
				if( jQuery(this).closest('.layout-color-pickers').hasClass('menu_hover') ){
					
					jQuery('style.menu_hover_custom').remove();
					
					jQuery('head').append('<style class="menu_hover_custom"> nav.woocommerce-MyAccount-navigation-top .dropdown-menu > li:hover, nav.woocommerce-MyAccount-navigation-top .dropdown-menu > li:hover >a, nav.woocommerce-MyAccount-navigation-top .dropdown-menu-sub > li:hover, nav.woocommerce-MyAccount-navigation-top .dropdown-menu-sub > li:hover >a { border-bottom-color: '+color+'!important; color:'+color+'!important; } nav.woocommerce-MyAccount-navigation-top .dropdown-menu-sub li.parent-menu:hover > a:before {border-right-color: '+color+'!important;} nav.woocommerce-MyAccount-navigation-top .dropdown-menu > li.parent-menu:hover > a:before { border-bottom-color: '+color+'!important;} nav.woocommerce-MyAccount-navigation-top .dropdown-menu ul{ border-bottom: 5px solid '+color+'; } nav.woocommerce-MyAccount-navigation-left .dropdown-menu > li:hover, nav.woocommerce-MyAccount-navigation-left .dropdown-menu > li:hover >a, nav.woocommerce-MyAccount-navigation-left .dropdown-menu-sub > li:hover, nav.woocommerce-MyAccount-navigation-left .dropdown-menu-sub > li:hover >a, nav.woocommerce-MyAccount-navigation-left li.parent-menu:hover > a:before { border-right-color: '+color+'!important; color:'+color+'!important; } nav.woocommerce-MyAccount-navigation-right .dropdown-menu > li:hover, nav.woocommerce-MyAccount-navigation-right .dropdown-menu > li:hover >a, nav.woocommerce-MyAccount-navigation-right .dropdown-menu-sub > li:hover, nav.woocommerce-MyAccount-navigation-right .dropdown-menu-sub > li:hover >a, nav.woocommerce-MyAccount-navigation-right li.parent-menu:hover > a:before { border-left-color: '+color+'!important; color:'+color+'!important; } </style>');
					
					
					
					
					
				}
				
			}
				
		}
		
	});
	
	jQuery('#gwat-settings-form.layout-section .layout-types').find('input[type="radio"]').click(function(){
		
		var types = jQuery(this).val();
		
		jQuery('.gwat-menu-preview').removeClass('left');
		jQuery('.gwat-menu-preview').removeClass('right');
		jQuery('.gwat-menu-preview').removeClass('top');
		
		jQuery('.gwat-menu-preview').addClass(types);
		
		jQuery('.gwat-menu-preview').find('nav').removeClass('woocommerce-MyAccount-navigation-left');
		jQuery('.gwat-menu-preview').find('nav').removeClass('woocommerce-MyAccount-navigation-right');
		jQuery('.gwat-menu-preview').find('nav').removeClass('woocommerce-MyAccount-navigation-top');
		
		jQuery('.gwat-menu-preview').find('nav').addClass('woocommerce-MyAccount-navigation-'+types);
		
	});
	
	/* ------- NEED HELP SCRIPT ------- */
	jQuery('.gwat-need-help').click(function(){
		
		jQuery('.gwat-need-help-success').hide();
		jQuery('.gwat-need-help-form-content-inner').show();
		jQuery('.gwat-need-help-popup-content').show();
					 
	});
	
	jQuery('.gwat-need-help-close-popup').click(function(){
	
		jQuery('.gwat-need-help-popup-content').hide();
		
	});
	
	jQuery('.gwat-need-help-request-send').click(function(){
		
		var submit_button = jQuery(this);
		
		submit_button.attr('disabled', true);
		
		var container = jQuery(this).closest('.gwat-need-help-form-content');
		
		var full_name = container.find('input[name="gwat_need_help_full_name"]');
		var email = container.find('input[name="gwat_need_help_email"]');
		var message = container.find('textarea[name="gwat_need_help_message"]');
		
		full_name.removeClass('gwat-need-help-field-error');
		email.removeClass('gwat-need-help-field-error');
		message.removeClass('gwat-need-help-field-error');
		
		if( jQuery.trim( full_name.val() ) == '' ){
			full_name.addClass('gwat-need-help-field-error'); full_name.focus(); submit_button.attr('disabled', false); return false;
		}
		
		if( jQuery.trim( email.val() ) == '' ){
			email.addClass('gwat-need-help-field-error'); email.focus(); submit_button.attr('disabled', false); return false;
		}else{
			
			var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
			
			if (!email.val().match(emailReg)){
				email.addClass('gwat-need-help-field-error'); email.focus(); submit_button.attr('disabled', false); return false;
			}
			
		}
		
		if( jQuery.trim( message.val() ) == '' ){
			message.addClass('gwat-need-help-field-error'); message.focus(); submit_button.attr('disabled', false); return false;
		}
		
		jQuery.ajax({
			url: gwat_localize_script.gwat_ajax_url+'?action=gwat_need_help_request_submit', // url where to submit the request
			type : "POST", // type of action POST || GET
			dataType : 'json', // data type
			data : container.find('select, textarea, input, file').serialize(), // post data || get data
			success : function(result) {
				// you can see the result from the console
				// tab of the developer tools
				if(result.code == 200){
					
					full_name.val('');
					email.val('');
					message.val('');
					
					jQuery('.gwat-need-help-success').show();
					jQuery('.gwat-need-help-form-content-inner').hide();
					
				}
				
				submit_button.attr('disabled', false); 
				
			},
			error: function(xhr, resp, text) {
				submit_button.attr('disabled', false); 
				alert(xhr, resp, text);
			}
		})
	
	});
		
});


