<?php
/**
 * My Account page
 *
 */

defined( 'ABSPATH' ) || exit;

global $gwat_woo_account_tabs;

$settings = $gwat_woo_account_tabs->gwat_get_settings();

$account_layout = isset( $settings['layout']['type'] ) ?  $settings['layout']['type']  : 'left';

//REMOVE DEFAULT ACTION...
remove_action( 'woocommerce_account_content', 'woocommerce_account_content' );

/**
 * My Account navigation.
 *
 * @since 2.6.0
 */
 

?>

<div class="gwat-myaccount-container">

	<?php
     
    if( $account_layout != 'right' ) {
        do_action( 'woocommerce_account_navigation' ); 
    }
    
    
    ?>
    
    <div class="woocommerce-MyAccount-content-<?php echo esc_attr( $account_layout );?>">
        <?php
            /**
             * My Account content.
             *
             * @since 2.6.0
             */
            do_action( 'woocommerce_account_content' );
        ?>
    </div>
    
    <?php
    
    if( $account_layout == 'right' ) {
        do_action( 'woocommerce_account_navigation' ); 
    }
    
    ?>
    
    <div style="clear:both;"></div>

</div>
