<?php
/**
 * My Account navigation
 *
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $gwat_woo_account_tabs;

$settings = $gwat_woo_account_tabs->gwat_get_settings();

$account_layout = isset( $settings['layout']['type'] ) ?  $settings['layout']['type']  : 'left';

do_action( 'woocommerce_before_account_navigation' );

//$menu_items = wc_get_account_menu_items();

//echo "<pre>"; print_r($menu_items); echo "</pre>";

?>

<nav class="woocommerce-MyAccount-navigation-<?php echo esc_attr( $account_layout );?>">
	<ul class="dropdown-menu">
		
        <?php echo wp_specialchars_decode( $gwat_woo_account_tabs->gwat_show_endpoints_navigation(0, '') );?>
        
	</ul>
</nav>

<?php do_action( 'woocommerce_after_account_navigation' ); ?>
